Bug 1629982 - Python can sometimes create incorrect .pyc files
Summary: Python can sometimes create incorrect .pyc files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: python
Version: 7.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: 7.7
Assignee: Victor Stinner
QA Contact: Lukas Zachar
URL:
Whiteboard:
: 1629978 (view as bug list)
Depends On: 1629978
Blocks: 1630906 1661173
TreeView+ depends on / blocked
 
Reported: 2018-09-17 17:47 UTC by Paulo Andrade
Modified: 2019-08-06 12:33 UTC (History)
8 users (show)

Fixed In Version: python-2.7.5-77.el7
Doc Type: Bug Fix
Doc Text:
Sometimes, on I/O error, Python created corrupted .pyc file (with empty code objects). The fix now checks for I/O error on reading source file (.py) to avoid produce corrupted .pyc file.
Clone Of: 1629978
Environment:
Last Closed: 2019-08-06 12:33:13 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2030 None None None 2019-08-06 12:33:32 UTC
Python 25083 None None None 2018-09-17 17:47:31 UTC

Comment 2 Petr Viktorin 2018-09-26 12:48:30 UTC
As in Bug #1629978, while I'm sure the upstream patch is an improvement, I haven't checked if it addresses all instances of the underlying issue.

Comment 3 Petr Viktorin 2018-10-22 09:19:06 UTC
*** Bug 1629978 has been marked as a duplicate of this bug. ***

Comment 4 Victor Stinner 2018-11-19 10:09:48 UTC
I created https://src.osci.redhat.com/rpms/python/pull-request/1

Comment 5 Victor Stinner 2018-11-21 13:56:18 UTC
The fix doesn't add a new test. It's hard to reproduce the bug: it requires to get an I/O error on one specific C function. I suggest to only run sanity checks.

Comment 10 errata-xmlrpc 2019-08-06 12:33:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2030


Note You need to log in before you can comment on or make changes to this bug.